Name:           ocaml-SDL
Version:        0.7.2
Release:        7emp1
Summary:        OCaml bindings for SDL

Group:          Development/Libraries
License:        LGPL
URL:            http://ocamlsdl.sourceforge.net
Source0:        http://downloads.sourceforge.net/ocamlsdl/ocamlsdl-%{version}.tar.gz
Source1:        ocamlsdl-0.7.2-htmlref.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Excluding on ppc64 due to missing dependencies (Bug #239517)
ExcludeArch:    ppc64

BuildRequires:  lablgl SDL_ttf-devel SDL_mixer-devel SDL_image-devel 
BuildRequires:  ocaml
Requires:       ocaml

%description
Runtime libraries to allow programs written in OCaml to write to SDL 
(Simple DirectMedia Layer) interfaces.

%package        devel
Summary:        Development files for ocamlSDL
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} 

%description    devel
The ocamlSDL-devel package provides libraries and headers for developing 
applications using ocamlSDL

%prep
%setup -q -n ocamlsdl-%{version} -a 1

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install DESTDIR=$RPM_BUILD_ROOT OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
rm $RPM_BUILD_ROOT%{_libdir}/ocaml/sdl/*.mli




%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING AUTHORS NEWS
%{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(-,root,root,-)
%doc htmlref/
%{_libdir}/ocaml/sdl
%{_libdir}/ocaml/stublibs


%changelog
* Fri May 04 2007 Nigel Jones <dev@nigelj.com> 0.7.2-7
- ExcludeArch ppc64 until ocaml builds

* Fri May 04 2007 Nigel Jones <dev@nigelj.com> 0.7.2-6
- Fix download URL and remove ldconfig

* Fri May 04 2007 Nigel Jones <dev@nigelj.com> 0.7.2-5
- Minor fixups per review

* Thu May 03 2007 Nigel Jones <dev@nigelj.com> 0.7.2-4
- Rename per policy
- Revert -3 changes
- Add htmlref

* Thu Apr 26 2007 Nigel Jones <dev@nigelj.com> 0.7.2-3
- Provide ocamlSDL-static, add COPYING to -devel as docs.

* Wed Apr 10 2007 Nigel Jones <dev@nigelj.com> 0.7.2-2
- Fix missing dependencies

* Tue Apr 10 2007 Nigel Jones <dev@nigelj.com> 0.7.2-1
- Initial spec file

